VULKAN_HPP_NAMESPACE::MemoryRequirements Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| operator VkMemoryRequirements const & () const
| operator VkMemoryRequirements & ()
bool | operator== (MemoryRequirements const &rhs) const
bool | operator!= (MemoryRequirements const &rhs) const

## Data Fields

DeviceSize | size
DeviceSize | alignment
uint32_t | memoryTypeBits

## Detailed Description

Definition at line 5732 of file vulkan.hpp.

## Member Function Documentation

## operator VkMemoryRequirements &()

VULKAN_HPP_NAMESPACE::MemoryRequirements::operator VkMemoryRequirements & | ( |  | ) |

inline

Definition at line 5739 of file vulkan.hpp.

{
return *reinterpret_cast<VkMemoryRequirements*>(this);
}

## operator VkMemoryRequirements const &()

VULKAN_HPP_NAMESPACE::MemoryRequirements::operator VkMemoryRequirements const & | ( |  | ) | const

inline

Definition at line 5734 of file vulkan.hpp.

{
return *reinterpret_cast<const VkMemoryRequirements*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::MemoryRequirements::operator!= | ( | MemoryRequirements const & | rhs | ) | const

inline

Definition at line 5751 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::MemoryRequirements::operator== | ( | MemoryRequirements const & | rhs | ) | const

inline

Definition at line 5744 of file vulkan.hpp.

{
return ( size == rhs.size )
&& ( alignment == rhs.alignment )
&& ( memoryTypeBits == rhs.memoryTypeBits );
}

References alignment, memoryTypeBits, and size.

Referenced by operator!=().

## Field Documentation

## alignment

DeviceSize VULKAN_HPP_NAMESPACE::MemoryRequirements::alignment

Definition at line 5757 of file vulkan.hpp.

Referenced by operator==().

## memoryTypeBits

uint32_t VULKAN_HPP_NAMESPACE::MemoryRequirements::memoryTypeBits

Definition at line 5758 of file vulkan.hpp.

Referenced by operator==().

## size

DeviceSize VULKAN_HPP_NAMESPACE::MemoryRequirements::size

Definition at line 5756 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::MemoryRequirements::memoryTypeBits
uint32_t memoryTypeBits
Definition: vulkan.hpp:5758
VULKAN_HPP_NAMESPACE::MemoryRequirements::alignment
DeviceSize alignment
Definition: vulkan.hpp:5757
VkMemoryRequirements
Definition: vulkan_core.h:2086
VULKAN_HPP_NAMESPACE::MemoryRequirements::operator==
bool operator==(MemoryRequirements const &rhs) const
Definition: vulkan.hpp:5744
size
GLsizeiptr size
Definition: SDL_opengl_glext.h:537